Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5100)
@@ -113,6 +113,6 @@
 !-------------------------------------------------------------------------------
   USE dimphy,         ONLY: klon
-  USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
-                            NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION, nf95_get_var
+  USE netcdf95,       ONLY: nf95_inq_varid, NF95_INQUIRE_VARIABLE, &
+                            nf95_inq_dimid, nf95_inquire_dimension, nf95_get_var
   USE netcdf,         ONLY: NF90_INQ_VARID, nf90_noerr
   USE assert_m,       ONLY: assert
@@ -213,6 +213,6 @@
       lPrTfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tropopause_air_pressure",vID)==nf90_noerr
       lO3Tfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tro3_at_tropopause"     ,vID)==nf90_noerr
-      CALL NF95_INQ_DIMID(fID,"time",vID)
-      CALL NF95_INQUIRE_DIMENSION(fID,vID,nclen=ntim_in)
+      CALL nf95_inq_dimid(fID,"time",vID)
+      CALL nf95_inquire_dimension(fID,vID,nclen=ntim_in)
       linterp=PRESENT(time_in).AND.ntim_in==14
       ALLOCATE(v1(nlon,nlat,nlev_in,n_var))
@@ -480,5 +480,5 @@
   CHARACTER(LEN=*), INTENT(IN)    :: var
 !-------------------------------------------------------------------------------
-  CALL NF95_INQ_VARID(fID, TRIM(var), vID)
+  CALL nf95_inq_varid(fID, TRIM(var), vID)
   CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
   IF(n_dim==2) call NF95_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
@@ -511,5 +511,5 @@
 !-------------------------------------------------------------------------------
   DO i=1,SIZE(nam)
-    CALL NF95_INQ_VARID(fID, TRIM(nam(i)), vID)
+    CALL nf95_inq_varid(fID, TRIM(nam(i)), vID)
     CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
     IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5100)
@@ -352,5 +352,5 @@
 !$OMP MASTER  ! Only master thread
        IF (is_mpi_root) THEN ! Only master processus
-          ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
+          ierr = nf90_open ('limit.nc', nf90_nowrite, nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
@@ -358,5 +358,5 @@
           !--- WARNING IF CALENDAR IS KNOWN AND DOES NOT MATCH THE ONE OF LMDZ
           ierr=NF90_INQ_VARID(nid, 'TEMPS', nvarid)
-          ierr=NF90_GET_ATT(nid, nvarid, 'calendar', calendar)
+          ierr=nf90_get_att(nid, nvarid, 'calendar', calendar)
           IF(ierr==nf90_noerr.AND.calendar/=calend.AND.prt_level>=1) THEN
              WRITE(lunout,*)'BEWARE: gcm and limit.nc calendars differ: '
@@ -387,5 +387,5 @@
           IF(nn/=klon_glo) CALL abort_physic(modname,abort_message,1)
 
-          ierr = NF90_CLOSE(nid)
+          ierr = nf90_close(nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        END IF ! is_mpi_root
@@ -450,5 +450,5 @@
        IF (is_mpi_root) THEN ! Only master processus!
 
-          ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
+          ierr = nf90_open ('limit.nc', nf90_nowrite, nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
@@ -564,5 +564,5 @@
 
 !****************************************************************************************
-          ierr = NF90_CLOSE(nid)
+          ierr = nf90_close(nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        ENDIF ! is_mpi_root
Index: /LMDZ6/branches/Amaury_dev/tools/make_sso/make_sso_SpherePack.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/tools/make_sso/make_sso_SpherePack.f90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/tools/make_sso/make_sso_SpherePack.f90	(revision 5100)
@@ -117,6 +117,6 @@
     SELECT CASE(arg)
       CASE('-i');   f_in=args(k); msg='Missing file "'//TRIM(f_in)//'".'
-                    ll=NF90_OPEN(f_in,NF90_NOWRITE,fID)/=nf90_noerr
-                    IF(.NOT.ll) n=NF90_CLOSE(fID)
+                    ll=nf90_open(f_in,nf90_nowrite,fID)/=nf90_noerr
+                    IF(.NOT.ll) n=nf90_close(fID)
       CASE('-res'); nlon_ou=str2int(args(k)); k=k+1
                     nlat_ou=str2int(args(k))
@@ -135,10 +135,10 @@
   IF(ALL(['noro','spec']/=fmsk)) THEN
     msg='Missing or wrong "-m" option ; can be "noro", "spec" or a mask file'
-    CALL err(NF90_OPEN(fmsk,NF90_NOWRITE,fID)/=nf90_noerr,msg)
+    CALL err(nf90_open(fmsk,nf90_nowrite,fID)/=nf90_noerr,msg)
     CALL nc(NF90_INQ_VARID(fID,"MaskOcean",vID),"MaskOcean")    !--- MASK ID
     CALL nc(NF90_INQUIRE_VARIABLE(fID,vID,dimids=dIDs))         !--- DIMS IDS
     CALL nc(nf90_inquire_dimension(fID,dIDs(1),len=nlon_ou),'x')!--- NB LONG
     CALL nc(nf90_inquire_dimension(fID,dIDs(2),len=nlat_ou),'y')!--- NB LAT
-    CALL nc(NF90_CLOSE(fID))
+    CALL nc(nf90_close(fID))
   END IF
   IF(nlon_ou<=0.OR.nlat_ou<=0) THEN
@@ -147,5 +147,5 @@
 
 !=== READ THE INPUT FIELD =======================================================
-  CALL nc(NF90_OPEN(f_in,NF90_NOWRITE,fID))
+  CALL nc(nf90_open(f_in,nf90_nowrite,fID))
   WRITE(*,*)'>> Reading variable "'//TRIM(vnam)//'" from "'//TRIM(f_in)//'"...'
 
@@ -163,8 +163,8 @@
   CALL nc(nf90_get_var  (fID,loID,lon_in)      ,lonn)
   CALL nc(nf90_get_var  (fID,laID,lat_in)      ,latn)
-  CALL nc(NF90_GET_ATT  (fID,loID,'units',lonu),lonn)
-  CALL nc(NF90_GET_ATT  (fID,laID,'units',latu),latn)
+  CALL nc(nf90_get_att  (fID,loID,'units',lonu),lonn)
+  CALL nc(nf90_get_att  (fID,laID,'units',latu),latn)
   CALL nc(nf90_get_var  (fID,vID,h(:,:),[1,1],[nlon_in+1,nlat_in]),vnam)
-  CALL nc(NF90_CLOSE(fID))
+  CALL nc(nf90_close(fID))
 
 !--- CHECK WETHER GRID IS CORRECT (GLOBAL DOMAIN, IDENTIFIED UNITS...)
@@ -368,8 +368,8 @@
       ALLOCATE(msko(nlon_ou,nlat_ou))
       msg='Missing or wrong "-m" option ; can be "noro", "spec" or a mask file'
-      CALL err(NF90_OPEN(fmsk,NF90_NOWRITE,fID)/=nf90_noerr,msg)
+      CALL err(nf90_open(fmsk,nf90_nowrite,fID)/=nf90_noerr,msg)
       CALL nc(NF90_INQ_VARID(fID,"MaskOcean",vID),"MaskOcean")    !--- MASK ID
       CALL nc(nf90_get_var(fID,vID,msko(:,:)))                    !--- MASK
-      CALL nc(NF90_CLOSE(fID))
+      CALL nc(nf90_close(fID))
       msko(:,:)=1.0-msko(:,:)
   END SELECT
@@ -457,67 +457,67 @@
   f_ou='make_sso_'//TRIM(res_ou)//'_'//TRIM(f_in)
   fnam=f_ou
-  CALL nc(NF90_CREATE(f_ou,NF90_CLOBBER,fID))
-
-  CALL nc(NF90_DEF_DIM(fID,'x',nlon_ou,xID))
-  CALL nc(NF90_DEF_VAR(fID,'x',NF90_REAL,xID,loID)      ,'x')
-  CALL nc(NF90_PUT_ATT(fID,loID,'long_name','Longitude'),'x')
-  CALL nc(NF90_PUT_ATT(fID,loID,'units','degrees_east') ,'x')
-
-  CALL nc(NF90_DEF_DIM(fID,'y',nlat_ou,yID))
-  CALL nc(NF90_DEF_VAR(fID,'y',NF90_REAL,yID,laID)      ,'y')
-  CALL nc(NF90_PUT_ATT(fID,laID,'long_name','Latitude') ,'y')
-  CALL nc(NF90_PUT_ATT(fID,laID,'units','degrees_north'),'y')
-
-  CALL nc(NF90_DEF_VAR(fID,'mask',NF90_REAL,[xID,yID],mskID),'mask')
+  CALL nc(nf90_create(f_ou,nf90_clobber,fID))
+
+  CALL nc(nf90_def_dim(fID,'x',nlon_ou,xID))
+  CALL nc(nf90_def_var(fID,'x',NF90_REAL,xID,loID)      ,'x')
+  CALL nc(nf90_put_att(fID,loID,'long_name','Longitude'),'x')
+  CALL nc(nf90_put_att(fID,loID,'units','degrees_east') ,'x')
+
+  CALL nc(nf90_def_dim(fID,'y',nlat_ou,yID))
+  CALL nc(nf90_def_var(fID,'y',NF90_REAL,yID,laID)      ,'y')
+  CALL nc(nf90_put_att(fID,laID,'long_name','Latitude') ,'y')
+  CALL nc(nf90_put_att(fID,laID,'units','degrees_north'),'y')
+
+  CALL nc(nf90_def_var(fID,'mask',NF90_REAL,[xID,yID],mskID),'mask')
   IF(fmsk=='noro') &
-  CALL nc(NF90_DEF_VAR(fID,'Zphi',NF90_REAL,[xID,yID],phiID),'Zphi')
-  CALL nc(NF90_DEF_VAR(fID,'Zmea',NF90_REAL,[xID,yID],meaID),'Zmea')
-  CALL nc(NF90_DEF_VAR(fID,'mu'  ,NF90_REAL,[xID,yID], muID),'mu'  )
-  CALL nc(NF90_DEF_VAR(fID,'Zsig',NF90_REAL,[xID,yID],sigID),'Zsig')
-  CALL nc(NF90_DEF_VAR(fID,'Zgam',NF90_REAL,[xID,yID],gamID),'Zgam')
-  CALL nc(NF90_DEF_VAR(fID,'Zthe',NF90_REAL,[xID,yID],theID),'Zthe')
-  CALL nc(NF90_DEF_VAR(fID,'Zpic',NF90_REAL,[xID,yID],picID),'Zpic')
-  CALL nc(NF90_DEF_VAR(fID,'Zval',NF90_REAL,[xID,yID],valID),'Zval')
-
-  CALL nc(NF90_PUT_ATT(fID,mskID,'long_name','Fractional land mask'                      ),'mask')
+  CALL nc(nf90_def_var(fID,'Zphi',NF90_REAL,[xID,yID],phiID),'Zphi')
+  CALL nc(nf90_def_var(fID,'Zmea',NF90_REAL,[xID,yID],meaID),'Zmea')
+  CALL nc(nf90_def_var(fID,'mu'  ,NF90_REAL,[xID,yID], muID),'mu'  )
+  CALL nc(nf90_def_var(fID,'Zsig',NF90_REAL,[xID,yID],sigID),'Zsig')
+  CALL nc(nf90_def_var(fID,'Zgam',NF90_REAL,[xID,yID],gamID),'Zgam')
+  CALL nc(nf90_def_var(fID,'Zthe',NF90_REAL,[xID,yID],theID),'Zthe')
+  CALL nc(nf90_def_var(fID,'Zpic',NF90_REAL,[xID,yID],picID),'Zpic')
+  CALL nc(nf90_def_var(fID,'Zval',NF90_REAL,[xID,yID],valID),'Zval')
+
+  CALL nc(nf90_put_att(fID,mskID,'long_name','Fractional land mask'                      ),'mask')
   IF(fmsk=='noro') &
-  CALL nc(NF90_PUT_ATT(fID,phiID,'long_name','Geopotential'                              ),'Zphi')
-  CALL nc(NF90_PUT_ATT(fID,meaID,'long_name','Mean orography'                            ),'Zmea')
-  CALL nc(NF90_PUT_ATT(fID, muID,'long_name','Std deviation of sub-cell scales orography'),'mu'  )
-  CALL nc(NF90_PUT_ATT(fID,sigID,'long_name','Slope along principal axis'                ),'Zsig')
-  CALL nc(NF90_PUT_ATT(fID,gamID,'long_name','Anisotropy (aspect ratio)'                 ),'Zgam')
-  CALL nc(NF90_PUT_ATT(fID,theID,'long_name','Orientation (principal axis)'              ),'Zthe')
-  CALL nc(NF90_PUT_ATT(fID,picID,'long_name','Maximum height'                            ),'Zpic')
-  CALL nc(NF90_PUT_ATT(fID,valID,'long_name','Minimum height'                            ),'Zval')
-
-  CALL nc(NF90_PUT_ATT(fID,mskID,'units','none'   ),'mask')
+  CALL nc(nf90_put_att(fID,phiID,'long_name','Geopotential'                              ),'Zphi')
+  CALL nc(nf90_put_att(fID,meaID,'long_name','Mean orography'                            ),'Zmea')
+  CALL nc(nf90_put_att(fID, muID,'long_name','Std deviation of sub-cell scales orography'),'mu'  )
+  CALL nc(nf90_put_att(fID,sigID,'long_name','Slope along principal axis'                ),'Zsig')
+  CALL nc(nf90_put_att(fID,gamID,'long_name','Anisotropy (aspect ratio)'                 ),'Zgam')
+  CALL nc(nf90_put_att(fID,theID,'long_name','Orientation (principal axis)'              ),'Zthe')
+  CALL nc(nf90_put_att(fID,picID,'long_name','Maximum height'                            ),'Zpic')
+  CALL nc(nf90_put_att(fID,valID,'long_name','Minimum height'                            ),'Zval')
+
+  CALL nc(nf90_put_att(fID,mskID,'units','none'   ),'mask')
   IF(fmsk=='noro') &
-  CALL nc(NF90_PUT_ATT(fID,phiID,'units','m'      ),'Zphi')
-  CALL nc(NF90_PUT_ATT(fID,meaID,'units','m'      ),'Zmea')
-  CALL nc(NF90_PUT_ATT(fID, muID,'units','m'      ),'mu'  )
-  CALL nc(NF90_PUT_ATT(fID,sigID,'units','m/m'    ),'Zsig')
-  CALL nc(NF90_PUT_ATT(fID,gamID,'units','none'   ),'Zgam')
-  CALL nc(NF90_PUT_ATT(fID,theID,'units','degrees'),'Zthe')
-  CALL nc(NF90_PUT_ATT(fID,picID,'units','m'      ),'Zpic')
-  CALL nc(NF90_PUT_ATT(fID,valID,'units','m'      ),'Zval')
-
-  CALL nc(NF90_PUT_ATT(fID,NF90_GLOBAL,'Conventions','COARDS/CF-1.0'))
-  CALL nc(NF90_PUT_ATT(fID,NF90_GLOBAL,'Initial_Grid',TRIM(res_in)))
-  CALL nc(NF90_PUT_ATT(fID,NF90_GLOBAL,'history',TRIM(call_seq)))
-  CALL nc(NF90_ENDDEF(fID))
-
-  CALL nc(NF90_PUT_VAR(fID, loID,lon_ou),'x' )
-  CALL nc(NF90_PUT_VAR(fID, laID,lat_ou),'y' )
-  CALL nc(NF90_PUT_VAR(fID,mskID,msko),'mask')
+  CALL nc(nf90_put_att(fID,phiID,'units','m'      ),'Zphi')
+  CALL nc(nf90_put_att(fID,meaID,'units','m'      ),'Zmea')
+  CALL nc(nf90_put_att(fID, muID,'units','m'      ),'mu'  )
+  CALL nc(nf90_put_att(fID,sigID,'units','m/m'    ),'Zsig')
+  CALL nc(nf90_put_att(fID,gamID,'units','none'   ),'Zgam')
+  CALL nc(nf90_put_att(fID,theID,'units','degrees'),'Zthe')
+  CALL nc(nf90_put_att(fID,picID,'units','m'      ),'Zpic')
+  CALL nc(nf90_put_att(fID,valID,'units','m'      ),'Zval')
+
+  CALL nc(nf90_put_att(fID,nf90_global,'Conventions','COARDS/CF-1.0'))
+  CALL nc(nf90_put_att(fID,nf90_global,'Initial_Grid',TRIM(res_in)))
+  CALL nc(nf90_put_att(fID,nf90_global,'history',TRIM(call_seq)))
+  CALL nc(nf90_enddef(fID))
+
+  CALL nc(nf90_put_var(fID, loID,lon_ou),'x' )
+  CALL nc(nf90_put_var(fID, laID,lat_ou),'y' )
+  CALL nc(nf90_put_var(fID,mskID,msko),'mask')
   IF(fmsk=='noro') &
-  CALL nc(NF90_PUT_VAR(fID,phiID,Zphi),'Zphi')
-  CALL nc(NF90_PUT_VAR(fID,meaID,h0  ),'Zmea')
-  CALL nc(NF90_PUT_VAR(fID, muID,mu  ),'mu'  )
-  CALL nc(NF90_PUT_VAR(fID,sigID,Zsig),'Zsig')
-  CALL nc(NF90_PUT_VAR(fID,gamID,Zgam),'Zgam')
-  CALL nc(NF90_PUT_VAR(fID,theID,Zthe),'Zthe')
-  CALL nc(NF90_PUT_VAR(fID,picID,       h0+2*mu ),'Zpic')
-  CALL nc(NF90_PUT_VAR(fID,valID,MAX(0.,h0-2*mu)),'Zval')
-  CALL nc(NF90_CLOSE(fID))
+  CALL nc(nf90_put_var(fID,phiID,Zphi),'Zphi')
+  CALL nc(nf90_put_var(fID,meaID,h0  ),'Zmea')
+  CALL nc(nf90_put_var(fID, muID,mu  ),'mu'  )
+  CALL nc(nf90_put_var(fID,sigID,Zsig),'Zsig')
+  CALL nc(nf90_put_var(fID,gamID,Zgam),'Zgam')
+  CALL nc(nf90_put_var(fID,theID,Zthe),'Zthe')
+  CALL nc(nf90_put_var(fID,picID,       h0+2*mu ),'Zpic')
+  CALL nc(nf90_put_var(fID,valID,MAX(0.,h0-2*mu)),'Zval')
+  CALL nc(nf90_close(fID))
   WRITE(*,*)'Finished.'
 
Index: /LMDZ6/branches/Amaury_dev/tools/netcdf95/Datasets/nf95_create_single.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/tools/netcdf95/Datasets/nf95_create_single.f90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/tools/netcdf95/Datasets/nf95_create_single.f90	(revision 5100)
@@ -19,5 +19,5 @@
     ! Shortcut to create a file containing a single primary variable.
 
-    use netcdf, only: NF90_CLOBBER, NF90_FLOAT
+    use netcdf, only: nf90_clobber, nf90_float
 
     use nf95_create_m, only: nf95_create
@@ -36,10 +36,10 @@
     !----------------------------------------------------------------------
 
-    call nf95_create(name // ".nc", NF90_CLOBBER, ncid)
+    call nf95_create(name // ".nc", nf90_clobber, ncid)
 
     do i = 1, size(coordinates)
        call nf95_def_dim(ncid, coordinates(i)%name, coordinates(i)%nclen, &
             dimids(i))
-       call nf95_def_var(ncid, coordinates(i)%name, NF90_FLOAT, dimids(i), &
+       call nf95_def_var(ncid, coordinates(i)%name, nf90_float, dimids(i), &
             varid_coord(i))
 
@@ -50,5 +50,5 @@
     END DO
 
-    call nf95_def_var(ncid, name, NF90_FLOAT, dimids, varid)
+    call nf95_def_var(ncid, name, nf90_float, dimids, varid)
 
   end subroutine nf95_create_single
